
namespace HistoryView.Converters;

class ChannelModeToImage : IValueConverter
{
    public object? Convert(object? value, Type targetType, object parameter, CultureInfo culture)
    {
        if (value is not ChannelMode mode)
            return null;

        return mode switch
        {
            ChannelMode.Monitor => App.Current.Resources["Monitorable"],
            //ChannelMode.Unused => App.Current.Resources["Disabled"],
            _ => default
        };
    }

    public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
    {
        throw new NotImplementedException();
    }
}
